{
  "version": 3,
  "pages404": true,
  "appType": "app",
  "caseSensitive": false,
  "basePath": "",
  "redirects": [
    {
      "source": "/:path+/",
      "destination": "/:path+",
      "internal": true,
      "priority": true,
      "statusCode": 308,
      "regex": "^(?:/((?:[^/]+?)(?:/(?:[^/]+?))*))/$"
    }
  ],
  "headers": [],
  "onMatchHeaders": [],
  "rewrites": {
    "beforeFiles": [],
    "afterFiles": [],
    "fallback": []
  },
  "dynamicRoutes": [
    {
      "page": "/my-customers/[id]",
      "regex": "^/my\\-customers/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/my\\-customers/(?<nxtPid>[^/]+?)(?:/)?$"
    }
  ],
  "staticRoutes": [
    {
      "page": "/",
      "regex": "^/(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/(?:/)?$"
    },
    {
      "page": "/_global-error",
      "regex": "^/_global\\-error(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_global\\-error(?:/)?$"
    },
    {
      "page": "/_not-found",
      "regex": "^/_not\\-found(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_not\\-found(?:/)?$"
    },
    {
      "page": "/admin",
      "regex": "^/admin(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin(?:/)?$"
    },
    {
      "page": "/admin/categories",
      "regex": "^/admin/categories(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/categories(?:/)?$"
    },
    {
      "page": "/admin/orders",
      "regex": "^/admin/orders(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/orders(?:/)?$"
    },
    {
      "page": "/admin/products",
      "regex": "^/admin/products(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/products(?:/)?$"
    },
    {
      "page": "/admin/users",
      "regex": "^/admin/users(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/users(?:/)?$"
    },
    {
      "page": "/api/admin/recent-orders",
      "regex": "^/api/admin/recent\\-orders(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/api/admin/recent\\-orders(?:/)?$"
    },
    {
      "page": "/auth/confirm",
      "regex": "^/auth/confirm(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/auth/confirm(?:/)?$"
    },
    {
      "page": "/auth/error",
      "regex": "^/auth/error(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/auth/error(?:/)?$"
    },
    {
      "page": "/auth/forgot-password",
      "regex": "^/auth/forgot\\-password(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/auth/forgot\\-password(?:/)?$"
    },
    {
      "page": "/auth/login",
      "regex": "^/auth/login(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/auth/login(?:/)?$"
    },
    {
      "page": "/auth/sign-up",
      "regex": "^/auth/sign\\-up(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/auth/sign\\-up(?:/)?$"
    },
    {
      "page": "/auth/sign-up-success",
      "regex": "^/auth/sign\\-up\\-success(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/auth/sign\\-up\\-success(?:/)?$"
    },
    {
      "page": "/auth/update-password",
      "regex": "^/auth/update\\-password(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/auth/update\\-password(?:/)?$"
    },
    {
      "page": "/favicon.ico",
      "regex": "^/favicon\\.ico(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/favicon\\.ico(?:/)?$"
    },
    {
      "page": "/my-customers",
      "regex": "^/my\\-customers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/my\\-customers(?:/)?$"
    },
    {
      "page": "/my-customers/new",
      "regex": "^/my\\-customers/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/my\\-customers/new(?:/)?$"
    },
    {
      "page": "/my-orders",
      "regex": "^/my\\-orders(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/my\\-orders(?:/)?$"
    },
    {
      "page": "/opengraph-image.png",
      "regex": "^/opengraph\\-image\\.png(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/opengraph\\-image\\.png(?:/)?$"
    },
    {
      "page": "/order",
      "regex": "^/order(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/order(?:/)?$"
    },
    {
      "page": "/order/success",
      "regex": "^/order/success(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/order/success(?:/)?$"
    },
    {
      "page": "/protected",
      "regex": "^/protected(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/protected(?:/)?$"
    },
    {
      "page": "/twitter-image.png",
      "regex": "^/twitter\\-image\\.png(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/twitter\\-image\\.png(?:/)?$"
    }
  ],
  "dataRoutes": [],
  "rsc": {
    "header": "rsc",
    "varyHeader": "rsc, next-router-state-tree, next-router-prefetch, next-router-segment-prefetch",
    "prefetchHeader": "next-router-prefetch",
    "didPostponeHeader": "x-nextjs-postponed",
    "contentTypeHeader": "text/x-component",
    "suffix": ".rsc",
    "prefetchSegmentHeader": "next-router-segment-prefetch",
    "prefetchSegmentSuffix": ".segment.rsc",
    "prefetchSegmentDirSuffix": ".segments",
    "clientParamParsing": false,
    "dynamicRSCPrerender": false
  },
  "rewriteHeaders": {
    "pathHeader": "x-nextjs-rewritten-path",
    "queryHeader": "x-nextjs-rewritten-query"
  }
}